# Ruby/GTK3

Ruby/GTK3 is a Ruby binding of GTK+ 3.

## Requirements

* Ruby/GLib2, Ruby/ATK, Ruby/Pango, Ruby/GdkPixbuf2, Ruby/GIO2,
  Ruby/GDK3, Ruby/GObjectIntrospection and Ruby/GTK3 in
  [Ruby-GNOME](https://ruby-gnome2.osdn.jp/)
* [rcairo](https://github.com/rcairo/rcairo)
* [GTK+](http://www.gtk.org/) 3.4.2 or later

## Install

    gem install gtk3

## Tutorials, examples:

* [sample/misc](/gtk3/sample/misc): a lot of simple examples.
* [sample/gtk-demo](/gtk3/sample/gtk-demo): the ruby version of `gtk-demo`.
* [sample/tutorial](/gtk3/sample/tutorial): the ruby version of the [offical Gtk3 tutorial "getting started"](https://developer.gnome.org/gtk3/stable/gtk-getting-started.html).
* a well written tutorial [on how to create a todo application](http://iridakos.com/tutorials/2018/01/25/creating-a-gtk-todo-application-with-ruby)

## License

Copyright (c) 2002-2020 Ruby-GNOME Project Team

This program is free software. You can distribute/modify this program
under the terms of the GNU LESSER GENERAL PUBLIC LICENSE Version 2.1.

## Project Websites

* https://github.com/ruby-gnome/ruby-gnome
* https://ruby-gnome2.osdn.jp/
